Bug 780013 - (SOA-2373) HttpGatewayServlet: add support for extracting CLIENT-CERT certificates
HttpGatewayServlet: add support for extracting CLIENT-CERT certificates
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.2
Unspecified Unspecified
high Severity high
: ---
: 5.2.0.ER4
Assigned To: tcunning
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 09:53 EDT by david.boeren
Modified: 2011-11-15 04:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-15 04:48:36 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2373 None None None Never

  None (edit)
Description david.boeren 2010-10-04 09:53:47 EDT
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A00000043Oha&sfdc.override=1
project_key: SOA

HttpGatewayServlet currently support extraction of basic authentication (username and password) via HttpServletSecUtil. This task should add support for extracting certificate from the request.
Comment 1 david.boeren 2010-10-04 09:54:45 EDT
Link: Added: This issue depends JBESB-2871
Comment 2 Darran Lofthouse 2010-10-04 11:34:47 EDT
Link: Added: This issue is a dependency of PRODMGT-33
Comment 3 tcunning 2011-07-08 14:27:55 EDT
This issue was fixed in ESB 4.10 and should be in the current SOA build.
Comment 4 David Le Sage 2011-09-26 23:49:17 EDT
Release Notes Docs Status: Added: Documented as Resolved Issue
Writer: Added: dlesage
Release Notes Text: Added: https://issues.jboss.org/browse/SOA-2373

The HttpGatewayServlet can now extract certificates from requests in addition to extracting of basic authentication details (username and password) via HttpServletSecUtil. 
Comment 5 Martin Vecera 2011-11-15 04:48:36 EST
Verified in CR1.

Note You need to log in before you can comment on or make changes to this bug.